var _creds = "Aobl4homd3pxwBrWnQNuX25Vna6u25EHc-LJcvzIGPldJLQZdsGq6mk57Aq0ft80";
var mapDiv = document.getElementById("map");
var _map = new Microsoft.Maps.Map(mapDiv, { credentials: _creds });

function hideMap() {
    $('#pickup').hide();
    $('#map').hide();
    $('#ship').show();
}

function displayError(msg) {
    $('#error').val(msg);
}

function createRandomLocations(latitude, longitude) {
    var locations = [];
    var polygoncolor = new Microsoft.Maps.Color(100,100,0,100);
    
    for (var i=0; i<5; i++) {
        var newLat, newLong, random;
        random = Math.random()/25;
        
        if (random < .5) {
            newLat = latitude - random;
            newLong = longitude + random;    
        } else {
            newLat = latitude + random;
            newLong = longitude + random;
        }

        var location = new Microsoft.Maps.Location(newLat, newLong);
        locations.push(new Microsoft.Maps.Pushpin(location, {icon: '../bakery.png', width: 20, height: 18}));
    }

    return locations;
}

function placeLocationOnMap(latitude, longitude) {
    var location = new Microsoft.Maps.Location(latitude, longitude);
    var randomLocs = createRandomLocations(latitude, longitude);
    _map.setView({ zoom: 12, center: location });

    // Add a pushpin to the map representing the current location
    var pin = new Microsoft.Maps.Pushpin(location);
    _map.entities.push(pin);

    for (var i=0;i<randomLocs.length;i++) {
        _map.entities.push(randomLocs[i]);
    }
}

function errorHandler(e) {
    if (e === 1) { // PERMISSION_DENIED
        hideMap();
    } else if (e === 2) { //POSITION_UNAVAILABLE
        displayError('Cannot find your location. Make sure your network connection is active and click the link to try again.');
        hideMap();
    } else if (e === 3) { //TIMEOUT
        displayError('Cannot find your location. Click the link to try again.');
        hideMap();
    }
}

function locate() {
    navigator.geolocation.getCurrentPosition(function (position) {
        var coordinates = position.coords;
        placeLocationOnMap(coordinates.latitude, coordinates.longitude);
    }, errorHandler);
}